package com.mortals.xhx.modules.implementlist.web;

import com.mortals.framework.web.BaseCRUDFormLong;
import com.mortals.xhx.modules.implementlist.model.ImplementlistEntity;
import com.mortals.xhx.modules.implementlist.model.ImplementlistQuery;

/**
* <p>Title: 实施清单主表</p>
* <p>Description: ImplementlistForm  </p>
* @author
* @version 1.0.0
*/
public class ImplementlistForm extends BaseCRUDFormLong<ImplementlistEntity> {
    private ImplementlistEntity implementlist = new ImplementlistEntity();
    private ImplementlistQuery query = new ImplementlistQuery();
    public ImplementlistForm(){

    }

    @Override
    public ImplementlistEntity getEntity() {
    return implementlist;
    }
    public ImplementlistEntity getImplementlist() {
    return implementlist;
    }

    public void setImplementlist(ImplementlistEntity implementlist) {
    this.implementlist = implementlist;
    }

    @Override
    public ImplementlistQuery getQuery() {
    return query;
    }

    public void setQuery(ImplementlistQuery query) {
    this.query = query;
    }
}